Subject: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Jan Djärv <[email-masked]>
Date: Sun, 21 Apr 2013 19:05:08 +0200

21 apr 2013 kl. 11:28 skrev martin rudalics <[email-masked]>:

> >> I generally end up "rounding down", so it's mostly a question of
> >> "wasting a few pixels".  IOW it's not a really big deal (which is why
> >> I never even considered looking into fixing this issue), but I'd
> >> appreciate pixel-precise sizing of my frames.
> >
> > Wouldn't you rather have pixel-sizing of windows so those wasted pixels are not wasted?
> 
> How would he do that in the first place if the frame doesn't get resized
> pixelwise?

As I explained earlier, when the window managers maximizes, fullscreen:s or tiles Emacs frames, the size hint is ignored, so the frame is sized pixelwise, in the sense that the frame size is not an integer multiple of the character size.  But the fraction that isn't a full character size gets wasted, because windows (in Emacs terms) can not resie pixelwise.

	Jan D.